Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045142
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Distribution Ordersmajoralways2020-09-25 11:512020-10-22 16:06
ReporterpsanjuanView Statuspublic 
Assigned Toinigo_lerga 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned To
Regression introduced in release
Summary

0045142: No possible to complete Distribution Order flow for 2 Warehouses within the same Organization

DescriptionRemove e.organization.id <> @inpadOrgId@ restriction, therefore it is possible to issue DO inside the same organization and different Warehouse.
Steps To ReproduceConfigure several warehouses in the same organization (Legal Entity)

Warehouse A
Warehouse B

Create a Distribution Order Receipt (purchase order from Warehouse Receipt A to Warehouse Issue B)

Create a Distribution Order Issue (sales order from Warehouse Issue B to Warehouse Receipt A)

Creation of the corresponding Issue Distribution Order

Creation of the corresponding Receive Distribution Order, however it is not possible to select any Issue Movement, because it is being book in the same organization.
Proposed SolutionRemove the restriction
e.processed='Y' AND e.receiptStatus < 100 AND e.issueStatus >= 100 AND e.organization.id <> @inpadOrgId@

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0045137 closed [Distribution Order] Issue movements do not appear in Receive Distribution Order 

-  Notes
(0123765)
inigo_lerga (developer)
2020-10-19 12:56

--Test Plan Mantis--
Login to Openbravo Backend with "F&B International Group Admin" role
and "F&B US, Inc." as Organization.

As the F&B International Group Admin role in Backend:
1º- Go to Distribution Order Receipt window and create a new record with
    US East Coast as Warehouse Receipt and US West coast as Warehouse Issue.
2º- Go to Lines tab and create a new Line with "Ale Beer" as Product and 50
    as Operative Quantity.
3º- Book the record.
4º- Go to Distribution Order Issue window and open the record (latest) related to the
    just created Distribution Order Receipt.
5º- Confirm the record.
6º- Go to Issue Distribution Order window and create a new record with the
    previous Distribution Order and "EC-0-0-0" as In Transit Bin.
7º- Go to Lines tab and create a new Line with "Ale Beer" as Product and 50 as
    Operative Quantity, "EC-0-0-0" as Storage Bin, "EC-2-0-0" as New Storage Bin and
    the Distribution Order Line previously created.
8º- Generate Issue.
9º- Go to Receive Distribution Order window and create a new record with the preciously
    created Issue Movement.

#In this moment the Issue Movement generated in the previous steps appears available
to be selected in the Issue Movement selector, being able to finish the Distribution Order flow
with 2 Warehouses within the same Legal Entity#
(0123766)
hgbot (developer)
2020-10-19 13:03

Merge Request created: https://gitlab.com/openbravo/product/mods/org.openbravo.distributionorder/-/merge_requests/1 [^]
(0123874)
dmiguelez (developer)
2020-10-22 16:04

Test Plan.

With AWO and AWO SampleData installed

Log in as QAAdmin

Go to Warehouse Defintion and create a new record with:
  * Organization: F&B US West Coast
  * Fill rest of parameters as necessary
Create the necessary definition to be able to have:
  * One Area named reception with one Bin (functional area, no capacity)
  * A routing from the Trucks Warehouse to the Reception Area assigned to Receive Distribution Orders with the default Warehouse Algorithms

Execute the previous test plan between this two warehouses

Execute the same flow using AWO (Pick - Issue - Reception) between this two warehouses

Both flows should work without any issue
(0123875)
hgbot (developer)
2020-10-22 16:06

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/mods/org.openbravo.distributionorder [^]
Changeset: af8ce9dc829c348fb42d0aedca14f82e62a0faa7
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-10-19T13:02:02+02:00
URL: https://gitlab.com/openbravo/product/mods/org.openbravo.distributionorder/-/commit/af8ce9dc829c348fb42d0aedca14f82e62a0faa7 [^]

fixes BUG-45142:Issue Movement Restriction relaxed

Without this relaxation, manual Distribution Order flow for 2 Warehouses
within the same Legal Entity could not be executed correctly.

---
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
---
(0123876)
hgbot (developer)
2020-10-22 16:06

Merge request merged: https://gitlab.com/openbravo/product/mods/org.openbravo.distributionorder/-/merge_requests/1 [^]

- Issue History
Date Modified Username Field Change
2020-09-25 11:51 psanjuan New Issue
2020-09-25 11:51 psanjuan Assigned To => Triage Finance
2020-09-25 11:53 psanjuan Steps to Reproduce Updated View Revisions
2020-09-29 11:53 dmiguelez Summary Remove e.organization.id <> @inpadOrgId@ restriction => No possible to complete Distribution Order flow for 2 Warehouses within the same Organization
2020-09-29 11:56 dmiguelez Relationship added has duplicate 0045137
2020-10-09 10:47 dmiguelez Assigned To Triage Finance => inigo_lerga
2020-10-19 12:55 inigo_lerga Status new => scheduled
2020-10-19 12:56 inigo_lerga Note Added: 0123765
2020-10-19 13:03 hgbot Note Added: 0123766
2020-10-22 16:04 dmiguelez Note Added: 0123874
2020-10-22 16:06 hgbot Resolution open => fixed
2020-10-22 16:06 hgbot Status scheduled => closed
2020-10-22 16:06 hgbot Note Added: 0123875
2020-10-22 16:06 hgbot Note Added: 0123876


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker